INTERFACE
SUBROUTINE COD_OPAD( KDLEN , KLEN , KMXCOUNT,&
 & PQF , PTF , PPRESH , PPRESF ,&
 & PLWCF , PIWCF ,&
 & PQF5 , PTF5 , PPRESH5, PPRESF5, PLSF5 ,&
 & PLWCF5, PIWCF5,&
 & PCOD,PTAUC) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM ,ONLY : NFLEVG
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN, KLEN, KMXCOUNT
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSF5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PLWCF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PIWCF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPRESF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLWCF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PIWCF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOD(KDLEN,KMXCOUNT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTAUC(KDLEN,NFLEVG,KMXCOUNT)
END SUBROUTINE COD_OPAD
END INTERFACE
